Delete Integration
curl --request DELETE \
--url https://gateway.jelou.ai/platform/v1/external-support/{projectId} \
--header 'x-api-key: <api-key>'import requests
url = "https://gateway.jelou.ai/platform/v1/external-support/{projectId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://gateway.jelou.ai/platform/v1/external-support/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": [
"Integration deleted successfully."
],
"statusMessage": "success",
"status": 1
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}{
"message": "<string>",
"statusMessage": "<string>",
"status": 123,
"error": {
"code": "<string>",
"key": "<string>",
"description": "<string>",
"developerMessages": {},
"clientMessages": {}
},
"validationError": {}
}Integración
Eliminar integración
Elimina tu integración con el panel de atención externo
DELETE
/
v1
/
external-support
/
{projectId}
Delete Integration
Esta acción es irreversible. Al eliminar la integración, Jelou dejará de enviar eventos a tu webhook. Para volver a integrar, deberás crear una nueva integración.
Descripción
Elimina la integración entre Jelou y tu panel de atención externo para el proyecto indicado. Una vez eliminada, Jelou dejará de enviar eventos al webhook configurado.Endpoint
DELETE https://gateway.jelou.ai/platform/v1/external-support/{projectId}
Parámetros de ruta
string
requerido
Identificador único del proyecto de Jelou cuya integración se desea eliminar.
Autenticación
Todas las peticiones deben incluir el encabezadox-api-key con la API key del proyecto de Jelou.
x-api-key: API_KEY
Ejemplo de solicitud
El siguiente ejemplo elimina la integración del proyectoPROJECT_ID. No se envía cuerpo en la petición:
cURL
curl --request DELETE \
--url https://gateway.jelou.ai/platform/v1/external-support/PROJECT_ID \
--header 'x-api-key: API_KEY'
Respuestas
| Código | Estado | Descripción |
|---|---|---|
| 200 | OK | Integración eliminada exitosamente. |
| 401 | Unauthorized | Credenciales de autenticación inválidas o faltantes. |
| 404 | Not Found | No existe una integración para el projectId indicado. |
| 500 | Internal Server Error | Error interno del servidor. |
Ejemplo de respuesta
{
"message": [
"Integration deleted successfully"
],
"statusMessage": "success",
"status": 1
}
Autorizaciones
API key del proyecto de Jelou
Parámetros de ruta
Unique identifier of the Jelou project
¿Esta página le ayudó?
⌘I